Subject: Re: bug#42578: 28.0.50; [suggestion] allow dired-do-shell-command on directory line

From: Arthur Miller <[email-masked]>
Date: Wed, 29 Jul 2020 17:59:07 +0200

Drew Adams <[email-masked]> writes:

>>>> I'm talking about those dired headlines here.
>>>
>>> Dired headlines are not file or directory lines.
>>> They're not acted on by ! or (most) other
>>> commands.
>>
>> Unfortunately some commands, like go to start of
>> buffer (or what is the name) put cursor on first
>> line (header) in dired which is a bit annoying
>> since it is useless.
>
> It's not at all useless.  Dired offers many features,
> including many that many or most users never use or
> are even unaware of.

I don't know Drew. For all this years I have been using Dired I have
never found a use-case where I wanted my cursor on a header. Maybe I am not
advanced enough. What can I do with the headline? If I move cursor to
the top? What useful things can I perform? Maybe I am missing some good
functionality I am not aware of?

>> In dired it makes more sense to move cursor/point
>> to start of the first line after the header (first
>> file). 
>
> It may make sense for you, but it doesn't necessarily
> make more sense for other Dired users or Emacs in
> general.

Maybe it is just me, but for me it is always sense to have default be
the most used case, and haveing cursor on a header is not one. 

> Luckily for you, you can bind keys to any
> commands you like:
>
>> I have bound a key to move it so and use that key
>> instead of ordinary move to the beginning of a
>> buffer (C-<home > by default I think).

Yes indeed, and that is what I have done and never complained about
before either :-). I also do understand though that entire Dired is just
an artefact in a text editor, so one should not expect the most optimal
performance/usability etc. But I brought it up now just because you
already talked about those things and in case someone might be
interested to look at it. No idea though if it is worth, I haven't cared
much about myself either. But it is annoying when some actions put
cursor at the begining of the buffer, or go back one line when cursor is
already at first line in buffer so it ends up at the header.

> There are, for examples keys to navigate among dir
> listings, that specifically move to dir headlines.
> `C-M-n', `C-M-p', `C-M-d', `C-M-u'.

Well maybe it should *only* be an explicit action (to more cursor to
headline), and not something different commans do per auto behaviour.

> Not to mention
> `i', which inserts the listing for the subdir on the
> current line.  (And in Dired+ `i' on a subdir listing
> takes you back to the parent dir listing.)

I am not sure inserting subdirs really fits into this discussion. We
don't insert under the headline directly, do we?

Anyway, I just wanted to get attention that Dired interactin needs some
polishing (in my eyes :-).

cheers